## org.eclipse.emf.compare.epatch.applier
Enum ApplyStrategy

    java.lang.Object
      java.lang.Enum<ApplyStrategy>
          org.eclipse.emf.compare.epatch.applier.ApplyStrategy

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ApplyStrategy>

    public enum ApplyStrategy

extends java.lang.Enum<ApplyStrategy>

Enum Constant Summary
`LEFT_TO_RIGHT`
`RIGHT_TO_LEFT`

Method Summary
`abstract ApplyStrategy` `inverse()`
`static ApplyStrategy` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ApplyStrategy[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LEFT_TO_RIGHT

    public static final ApplyStrategy LEFT_TO_RIGHT

### RIGHT_TO_LEFT

    public static final ApplyStrategy RIGHT_TO_LEFT

Method Detail

### values

    public static final ApplyStrategy[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ApplyStrategy c : ApplyStrategy.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ApplyStrategy valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### inverse

    public abstract ApplyStrategy inverse()

Copyright 2006 IBM Corporation and others. All Rights Reserved.